# TdApi.InputFileLocal

Package it.ernytech.tdlib

## Class TdApi.InputFileLocal

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.InputFile
    - - it.ernytech.tdlib.TdApi.InputFileLocal

Enclosing class:
  TdApi

    public static class TdApi.InputFileLocal
    extends TdApi.InputFile

A file defined by a local path.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `path` Local path to the file.

### Constructor Summary

Constructors
`InputFileLocal()` Default constructor.
`InputFileLocal​(java.lang.String path)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### path

    public java.lang.String path

Local path to the file.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### InputFileLocal

    public InputFileLocal()

Default constructor.

#### InputFileLocal

    public InputFileLocal​(java.lang.String path)

Constructor for initialization of all fields.

Parameters:
  `path` - Local path to the file.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR